<EntityClassDefinition.RSI_Bengal_SCItem_AI_Turret_Seat_Access_10 __id="2c2a8f9d-1ea2-4684-aeb6-1c64c3d66430" __path="libs/foundry/records/entities/scitem/ships/seataccess/rsi_bengal_scitem_ai_turret_seat_access_10.xml" __type="EntityClassDefinition" BBoxSelection="0" Category="Default" entityDensityClass="00000000-0000-0000-0000-000000000000" Icon="Default.bmp" Invisible="0">
  <Components>
    <SAttachableComponentParams __type="DataForgeComponentParams" __polymorphicType="SAttachableComponentParams" attachToTileItemPort="NoConnection" entityAttachParams="None">
      <AttachDef __type="SItemDefinition" DisplayType="" Grade="1" inheritParentManufacturer="0" inventoryOccupancyDimensionsUIOverride="None" Manufacturer="63685f47-b0cc-4ebe-8f16-72793a5cd6e0" RequiredTags="" Size="1" SubType="UNDEFINED" Tags="" Type="SeatAccess">
        <inventoryOccupancyDimensions __type="Vec3" x="0.15000000596046448" y="0.15000000596046448" z="0.15000000596046448" />
        <inventoryOccupancyVolume __type="SBaseCargoUnit" __polymorphicType="SMicroCargoUnit" microSCU="1" />
        <Localization __type="SCItemLocalization" Description="@LOC_EMPTY" Name="@LOC_PLACEHOLDER" ShortName="@LOC_EMPTY">
          <displayFeatures __type="SCExtendedLocalizationLevelParams" Callout1="@LOC_EMPTY" Callout2="@LOC_EMPTY" Callout3="@LOC_EMPTY" FrontendBackground="" History="@LOC_EMPTY" LogoSimplifiedWhite="" UIPriority="0">
            <locationAudioPlayTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
            <locationAudioStopTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </displayFeatures>
        </Localization>
        <mannequinTags __type="SCItemMannequinTags" mannequinBaseTag="" mannequinClassTag="ANVL_Valkyrie_Pilot_Seat" mannequinTypeTag="" />
      </AttachDef>
    </SAttachableComponentParams>
    <SEntityInteractableParams __type="DataForgeComponentParams" __polymorphicType="SEntityInteractableParams">
      <Interactable __type="SInteractableParams" menuTitle="None">
        <actionHandlerTasks />
        <InteractionPoints>
          <SInteractionPointParams __type="SInteractionPointParams" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$IP_SeatAccess_Remote" longRangeIP="0" MaxCursorScreenDistance="2.0" OnlySelectableInLookDir="0" Radius="1.600000023841858" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="FixedRotation" TextScale="1.0" UseHelperLocation="1" UseHorizontalDistance="0">
            <AdditionalCollisionBones />
            <AngleConstraint __type="SAngleConstraint" angleRange="181.0">
              <forwardDirOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
            </AngleConstraint>
            <HighlightBehaviors>
              <SHighlightBehaviorNode __type="SHighlightBehaviorNode">
                <HighlightBehaviorNodeParams __type="SHighlightBehaviorNodeParams" __polymorphicType="SRootEntityHighlightNode" />
                <nextNodes>
                  <SHighlightBehaviorNode __type="SHighlightBehaviorNode">
                    <HighlightBehaviorNodeParams __type="SHighlightBehaviorNodeParams" __polymorphicType="SHardPointHighlightNode" itemPortName="hardpoint_seat_pilot" />
                    <nextNodes>
                      <SHighlightBehaviorNode __type="SHighlightBehaviorNode">
                        <HighlightBehaviorNodeParams __type="SHighlightBehaviorNodeParams" __polymorphicType="SBonesHighlightNode">
                          <boneNames>pilot_seat_mesh</boneNames>
                        </HighlightBehaviorNodeParams>
                        <nextNodes />
                      </SHighlightBehaviorNode>
                    </nextNodes>
                  </SHighlightBehaviorNode>
                </nextNodes>
              </SHighlightBehaviorNode>
            </HighlightBehaviors>
            <Interactions>
              <SInteractionParams __type="SInteractionParams" DisplayName="@LOC_EMPTY" IsPrimary="1">
                <Interaction __type="SSharedInteractionParams" available="1" DisplayName="@ui_interactor_enter_pilot_seat" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="SeatEnter" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
                  <conditionList __type="InteractionConditionList">
                    <conditionParams />
                    <conditionToHideParams />
                    <presetList EnterRestriction_OperatorSeat_Turret="cc265f0b-6b01-4e61-8fee-b2a8ec7e4c68" />
                  </conditionList>
                  <QueryTags />
                </Interaction>
              </SInteractionParams>
            </Interactions>
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
              <Rotation __type="Ang3" x="0.0" y="0.0" z="180.0" />
            </Offset>
          </SInteractionPointParams>
        </InteractionPoints>
        <interactionTasks />
        <itemActionTasks />
        <SharedInteractions>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="classReference_structure:InteractionConditionList" DisplayName="@ui_interactor_enter_pilot_seat" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="SeatEnter" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_exit" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="SeatExit" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
        </SharedInteractions>
      </Interactable>
    </SEntityInteractableParams>
    <SInteractionLinkParams __type="DataForgeComponentParams" __polymorphicType="SInteractionLinkParams">
      <linkPlugs />
      <vehicleItemPortInteractionLinks />
    </SInteractionLinkParams>
    <SGeometryResourceParams __type="DataForgeComponentParams" __polymorphicType="SGeometryResourceParams" cacheResources="0" inheritModelTagFromHost="1" ModelTag="None" rootOverridePaint="0">
      <Geometry __type="SGeometryNodeParams" ScaleMultiplier="1.0" Tags="">
        <Geometry __type="SGeometryDataParams" AttachFlags="0" BBoxJoint="" BBoxRadius="0.0" Damage="0.0" DeformerType="Standard" Dirt="0.0" EnableDecalProjection="0" Interference="0.0" MaterialAttachments="" ModifiersPath="" ProtosBShapeExclude="0" ProxyCDFPath="" SimulationGeometry="None" Slot="Main" SunShadowMode="Upto_400m" viewDistRatio="00000000-0000-0000-0000-000000000000" VisAreaMode="AABB_Center" VisFP="1" VisSecondaryViews="1" VisShadow="1" VisTP="1" Wear="0.0" WrinkleMap="0">
          <Geometry __type="GlobalResourceBase" __polymorphicType="GlobalResourceGeometry" path="Objects/Spaceships/Seats/CRUS/Starlifter/CRUS_Starlifter_SeatAcess_A2_RemoteTurret.cga" />
          <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
          <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
        </Geometry>
        <SubGeometry />
      </Geometry>
      <Material __type="SMaterialNodeParams" Tags="">
        <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
        <materialVariants />
        <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
      </Material>
    </SGeometryResourceParams>
    <SEntityPhysicsControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityPhysicsControllerParams">
      <PhysType __type="SEntityBasePhysicsControllerParams" __polymorphicType="SEntityRigidPhysicsControllerParams" BlocksNavigation="1" breakableParams="None" buoyancyParams="None" Damping="0.009999999776482582" DampingFreefall="0.05000000074505806" EnableCrossGridChecks="0" gameCollisionClass="None" grid="None" Kinematic="0" Mass="4.0" maxLoggedCollisions="1" NeverAffectTriggers="0" physicalizeAllSlots="1" PushableByPlayers="1" Resting="0" UseManualGridTransition="0">
        <temperature __type="EntityTemperature" enable="0" initialTemperature="-1.0" internalTemperatureGeneration="0.0" />
      </PhysType>
    </SEntityPhysicsControllerParams>
    <SEntityComponentSequencerParams __type="DataForgeComponentParams" __polymorphicType="SEntityComponentSequencerParams" resetSequence="None">
      <sequences />
    </SEntityComponentSequencerParams>
    <SCItemSeatAccessParams __type="DataForgeComponentParams" __polymorphicType="SCItemSeatAccessParams" humanPassageADB="">
      <entrances>
        <SCSeatAccessEntranceInteractionParams __type="SCSeatAccessBaseInteractionParams" __polymorphicType="SCSeatAccessEntranceInteractionParams" name="TurretEnter" seatEnterExitAngleParams="None">
          <conditions __type="SCSeatAccessInteractionConditionParams" docked="Either" idle="Either" inQuantum="Either" landed="Either" landingGearDown="Either" landingGearUp="Either" zeroG="Either" />
          <dashboardConnection __type="SCDashboardConnectionParams" itemPort="" />
          <enterState __type="SSequencerDefInteractionTaskParams" __polymorphicType="SCSeatAccessEntranceInteractionStateParams" deployRetractFragmentTags="" fragmentTags="" interiorEntrance="1" skipState="SkipDeploy">
            <attachment __type="SCSeatActorAttachmentParams" boneName="pilot_sit_pos" stance="Seated" type="Seat" />
            <interaction __type="SSharedInteractionParams" available="1" conditionList="classReference_structure:InteractionConditionList" DisplayName="@ui_interactor_enter_pilot_seat" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="SeatEnter" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
              <QueryTags />
            </interaction>
          </enterState>
          <exitState __type="SSequencerDefInteractionTaskParams" __polymorphicType="SCSeatAccessEntranceInteractionStateParams" deployRetractFragmentTags="" fragmentTags="" interiorEntrance="1" skipState="SkipRetract">
            <attachment __type="SCSeatActorAttachmentParams" boneName="pilot_sit_pos" stance="Seated" type="Seat" />
            <interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_exit" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="SeatExit" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
              <QueryTags />
            </interaction>
          </exitState>
          <linkedGateways />
          <seatConnection __type="SCSeatConnectionParams" seatTag="00000000-0000-0000-0000-000000000000">
            <seatItemPort __type="SCSeatItemPort" itemPortName="hardpoint_AI_turret_seat_10" />
          </seatConnection>
        </SCSeatAccessEntranceInteractionParams>
      </entrances>
      <gateways />
      <passages />
    </SCItemSeatAccessParams>
    <ItemControlComponentParams __type="DataForgeComponentParams" __polymorphicType="ItemControlComponentParams" throttleParams="None" turnedOnByDefault="0" />
  </Components>
  <StaticEntityClassData />
  <tags />
</EntityClassDefinition.RSI_Bengal_SCItem_AI_Turret_Seat_Access_10>